package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsLotoStation;
import com.ktg.iscs.domain.dto.point.BindingPointDTO;
import com.ktg.iscs.domain.vo.loto.IsLotoStationVO;
import com.ktg.iscs.domain.vo.workarea.PointsMapVO;

import java.util.List;

/**
 * 电柜Service接口
 *
 * @author cgj
 * @date 2024-12-19
 */
public interface IIsLotoStationService extends IService<IsLotoStation> {

    Page<IsLotoStationVO> getIsLotoStationPage(IsLotoStation isLotoStation, Page<IsLotoStation> page);

    List<PointsMapVO> selectLotoMapById(Long lotoId, Long sopId, Long ticketId);

    Boolean updatePointsBindingLoto(BindingPointDTO dto);

    Boolean updateIsLotoStation(IsLotoStation isLotoStation);

    Boolean insertIsLotoStation(IsLotoStation isLotoStation);

    IsLotoStation selectIsLotoStationById(Long lotoId);

    IsLotoStation selectLotoBySerialNumber(String lotoSerialNumber);

}
